Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sdk
Class AbstractSDKCall

`java.lang.Object
DatasourceCall
oracle.toplink.sdk.AbstractSDKCall`

All Implemented Interfaces:
  Call, java.lang.Cloneable, SDKCall, java.io.Serializable

Direct Known Subclasses:
  XMLCall

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.eis`

public abstract class AbstractSDKCall
extends DatasourceCall
implements SDKCall

`AbstractSDKCall` provides a base implementation of `SDKCall`. It associates the call with its executing query. It also associates the call with the appropriate SDK query mechanism. It also provides for a call-specific field translator that allows the database row to be translated on its way to and from the data store. Subclasses are still required to implement `#execute(DatabaseRow, Accessor)`.

Since:
  TOPLink/Java 3.0
See Also:
  `SDKQueryMechanism`, `DatabaseQuery`, `FieldTranslator`, `DefaultFieldTranslator`, Serialized Form

Method Summary
`void` | `addReadTranslation(java.lang.String dataStoreFieldName, java.lang.String mappingFieldName)` Deprecated. Add a translation.
`void` | `addReadTranslations(java.lang.String[] dataStoreFieldNames, java.lang.String[] mappingFieldNames)` Deprecated. Add translations.
`void` | `addReadTranslations(java.util.Vector translations)` Deprecated. Add translations.
`void` | `addWriteTranslation(java.lang.String mappingFieldName, java.lang.String dataStoreFieldName)` Deprecated. Add a translation.
`void` | `addWriteTranslations(java.lang.String[] mappingFieldNames, java.lang.String[] dataStoreFieldNames)` Deprecated. Add translations.
`void` | `addWriteTranslations(java.util.Vector translations)` Deprecated. Add translations.
`FieldTranslator` | `buildDefaultTranslator()` Deprecated. Build and return the default field translator that converts database row field names.
`DatabaseQueryMechanism` | `buildNewQueryMechanism(DatabaseQuery query)` Deprecated. Return the appropriate mechanism, with the call added as necessary.
`DatabaseQueryMechanism` | `buildQueryMechanism(DatabaseQuery query, DatabaseQueryMechanism mechanism)` Deprecated. Return the appropriate mechanism, with the call added as necessary.
`FieldTranslator` | `getFieldTranslator()` Deprecated. Return the translator that converts database row field names.
`java.lang.String` | `getLogString(Accessor accessor)` Deprecated. Return a string appropriate for the session log.
`boolean` | `isFinished()` Deprecated. Return whether the call is finished returning all of its results (e.g. a call that returns a cursor that will continue to access the data store after the initial invocation will answer false).
`void` | `setFieldTranslator(FieldTranslator fieldTranslator)` Deprecated. Set the translator that converts database row field names.
`java.lang.String` | `toString()` Deprecated. Call `#toString(PrintWriter)`, to allow subclasses to insert additional information.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.toplink.sdk.SDKCall
`execute`

Method Detail

### addReadTranslation

    public void addReadTranslation(java.lang.String dataStoreFieldName,
                                   java.lang.String mappingFieldName)

  Deprecated.
  Add a translation. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name. The corresponding write translation will also be added.

### addReadTranslations

    public void addReadTranslations(java.lang.String[] dataStoreFieldNames,
                                    java.lang.String[] mappingFieldNames)

  Deprecated.
  Add translations. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name. The corresponding write translations will also be added.

### addReadTranslations

    public void addReadTranslations(java.util.Vector translations)

  Deprecated.
  Add translations. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name. The corresponding write translations will also be added.

### addWriteTranslation

    public void addWriteTranslation(java.lang.String mappingFieldName,
                                    java.lang.String dataStoreFieldName)

  Deprecated.
  Add a translation. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name. The corresponding read translation will also be added.

### addWriteTranslations

    public void addWriteTranslations(java.lang.String[] mappingFieldNames,
                                     java.lang.String[] dataStoreFieldNames)

  Deprecated.
  Add translations. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name. The corresponding read translations will also be added.

### addWriteTranslations

    public void addWriteTranslations(java.util.Vector translations)

  Deprecated.
  Add translations. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name. The corresponding read translations will also be added.

### buildDefaultTranslator

    public FieldTranslator buildDefaultTranslator()

  Deprecated.
  Build and return the default field translator that converts database row field names.

### buildNewQueryMechanism

    public DatabaseQueryMechanism buildNewQueryMechanism(DatabaseQuery query)

  Deprecated.
  Return the appropriate mechanism, with the call added as necessary.
  Specified by:
    `buildNewQueryMechanism` in interface `Call`

### buildQueryMechanism

    public DatabaseQueryMechanism buildQueryMechanism(DatabaseQuery query,
                                                      DatabaseQueryMechanism mechanism)

  Deprecated.
  Return the appropriate mechanism, with the call added as necessary.
  Specified by:
    `buildQueryMechanism` in interface `Call`

### getFieldTranslator

    public FieldTranslator getFieldTranslator()

  Deprecated.
  Return the translator that converts database row field names.

### getLogString

    public java.lang.String getLogString(Accessor accessor)

  Deprecated.
  Return a string appropriate for the session log.
  Specified by:
    `getLogString` in interface `Call`

### isFinished

    public boolean isFinished()

  Deprecated.
  Return whether the call is finished returning all of its results (e.g. a call that returns a cursor that will continue to access the data store after the initial invocation will answer false). The default is true.
  Specified by:
    `isFinished` in interface `Call`

### setFieldTranslator

    public void setFieldTranslator(FieldTranslator fieldTranslator)

  Deprecated.
  Set the translator that converts database row field names.

### toString

    public java.lang.String toString()

  Deprecated.
  Call `#toString(PrintWriter)`, to allow subclasses to insert additional information.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD